declare @id_funcionalidadMaestros as int
declare @id_funcionalidadNivelTaxonomia as int
declare @uid varchar(50)
set @uid='0000-0000-0000-0000-0000'

select top 1 @id_funcionalidadMaestros=id from  gui_funcionalidad where funcionalidad='MAESTROS' and id_funcionalidad=0 and id_tipoFuncionalidad=6

if not exists(select * FROM gui_funcionalidad  where funcionalidad='Niveles Taxonomia' and id_funcionalidad=@id_funcionalidadMaestros and id_tipoFuncionalidad=3)
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Niveles Taxonomia',@id_funcionalidadMaestros,3,'/forms/tax/tax_nivelTax.aspx','',1,'','','','tax_nivelTax','',8)
set @id_funcionalidadNivelTaxonomia=@@IDENTITY
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Info Basica',@id_funcionalidadNivelTaxonomia,1,'','',0,'','','','tax_nivelTax','',1)
end
